# Invoke-RASBrokerPromoteToPrimary.md

## NAME

Invoke-RASBrokerPromoteToPrimary

## SYNOPSIS

Promotes a RAS Connection Broker to the primary Connection Broker.

## SYNTAX

\*\*Invoke-RASBrokerPromoteToPrimary \[[Id](#id-string)] *(uint)* \[[BrokerPassword](#brokerpassword-string) *(SecureString)*] \[[BrokerUsername](#brokerusername-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASBrokerPromoteToPrimary \[[Id](#id-string)] *(uint)* -[Email](#email-string) *(string)* -[Password](#password-string) *(SecureString)* \[[BrokerPassword](#brokerpassword-string) *(SecureString)*] \[[BrokerUsername](#brokerusername-string) *(string)*] \[[Key](#key-string) *(string)*] \[[MacAddress](#macaddress-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASBrokerPromoteToPrimary \[-[InputObject](#inputobject)] *(*[*Broker*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker)*)* \[[BrokerPassword](#brokerpassword-string) *(SecureString)*] \[[BrokerUsername](#brokerusername-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASBrokerPromoteToPrimary \[-[InputObject](#inputobject)] *(*[*Broker*](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker)*)* -[Email](#email-string) *(string)* -[Password](#password-string) *(SecureString)* \[[BrokerPassword](#brokerpassword-string) *(SecureString)*] \[[BrokerUsername](#brokerusername-string) *(string)*] \[[Key](#key-string) *(string)*] \[[MacAddress](#macaddress-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASBrokerPromoteToPrimary \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[BrokerPassword](#brokerpassword-string) *(SecureString)*] \[[BrokerUsername](#brokerusername-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASBrokerPromoteToPrimary \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Email](#email-string) *(string)* -[Password](#password-string) *(SecureString)* \[[BrokerPassword](#brokerpassword-string) *(SecureString)*] \[[BrokerUsername](#brokerusername-string) *(string)*] \[[Key](#key-string) *(string)*] \[[MacAddress](#macaddress-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Promotes a RAS Connection Broker to the primary Connection Broker.

When promoting a Connection Broker in a non-primary Site, the Email, Password, Key, and MacAddress will be ignored.

## PARAMETERS

## Server (string)

The name of the RAS Connection Broker server.

This must be the actual server name used in the Parallels RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID of the RAS Connection Broker server.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RAS Connection Broker server.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Broker](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker))

An object of type Broker representing the RAS Connection Broker.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Email (string)

The email address you use to log in to Parallels My Account.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

Your Parallels account password.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Key (string)

Parallels RAS License Key. The key must be registered in Parallels My Account.

If you omit this parameter, the current license key will be used in activation.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MacAddress (string)

Bind the license activation with a specific MAC address.

The MAC address should be in the format XX-XX-XX-XX-XX-XX.

To select a MAC address automatically, omit this parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## BrokerUsername (string)

An administrator account for connecting with the new Connection Broker server (the one being promoted).

If this parameter is omitted, your RAS admin username (and password) will be used.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## BrokerPassword (SecureString)

The password of the account specified in the BrokerUsername parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Broker](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASBrokerPromoteToPrimary "server.company.dom"

Promotes the specified RAS Connection Broker (by server) to the primary Connection Broker.

NB. The newly promoted RAS Connection Broker will not be activated.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASBrokerPromoteToPrimary -Id 5 -Email "<name@company.com>" -Password $SecretPass

Promotes the specified RAS Connection Broker (by ID) to the primary Connection Broker and activates a new RAS Connection Broker license with same license key.

The $SecretPass variable must contain a password as SecureString.

If you omit the -Password parameter, you'll be asked to enter it when you execute the cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Invoke-RASBrokerPromoteToPrimary -InputObject $Broker -Email "<name@company.com>" -Password $SecretPass -Key "QPWO-WRET-XVBC-IOUP"

Promotes the specified RAS Connection Broker (by InputObject) to the primary Connection Broker and activates a new RAS Connection Broker license using the specified key.

The $SecretPass variable must contain a password as SecureString.

If you omit the -Password parameter, you'll be asked to enter it when you execute the cmdlet.\
\*\*---------- EXAMPLE 4 ----------

Get-RASBroker -Id 2 | Invoke-RASBrokerPromoteToPrimary

Promotes the specified (by InputObject) RAS Connection Broker server to the primary Connection Broker.

NB. The newly promoted RAS Connection Broker will not be activated.

## RELATED LINKS

* [Get-RASBroker](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbroker)
* [Set-RASBrokerPriority](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasbrokerpriority)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasbrokerpromotetoprimary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
